Skip to main content
GET
/
team
/
{team}
/
routing
/
addons
List all addons
curl --request GET \
  --url https://app.smartsend.io/api/v2/team/{team}/routing/addons \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.smartsend.io/api/v2/team/{team}/routing/addons"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.smartsend.io/api/v2/team/{team}/routing/addons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "code": "<string>",
      "name": "<string>"
    }
  ]
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

Preferred language(s) for translatable content using BCP 47 language tags. Supports quality values (q-factors) for priority ordering. The API negotiates the best available language based on this header, the team's configured language, and available translations. If omitted, the team's default language is used.

Example:

"da-DK, da;q=0.9, en;q=0.8"

Request-ID
string

Any value passed in this request will be returned in the same header. This can be used to correlate requests between client and server.

Required string length: 1 - 128
Pattern: ^[A-Za-z0-9._-]{1,128}$

Path Parameters

team
string
required

Team identifier. All resources are scoped to this team.

Minimum string length: 1
Example:

"ad9546c1-393e-49a5-9a72-5cc146c9bec5"

Response

Addons retrieved successfully

data
object[]
required